import request from '@/utils/request'

// 查询处理新客标签列表
export function listFastGptExtUserTag(query) {
  return request({
    url: '/fastGpt/FastGptExtUserTag/list',
    method: 'get',
    params: query
  })
}

// 查询处理新客标签详细
export function getFastGptExtUserTag(id) {
  return request({
    url: '/fastGpt/FastGptExtUserTag/' + id,
    method: 'get'
  })
}

// 新增处理新客标签
export function addFastGptExtUserTag(data) {
  return request({
    url: '/fastGpt/FastGptExtUserTag',
    method: 'post',
    data: data
  })
}

// 修改处理新客标签
export function updateFastGptExtUserTag(data) {
  return request({
    url: '/fastGpt/FastGptExtUserTag',
    method: 'put',
    data: data
  })
}

// 删除处理新客标签
export function delFastGptExtUserTag(id) {
  return request({
    url: '/fastGpt/FastGptExtUserTag/' + id,
    method: 'delete'
  })
}

// 导出处理新客标签
export function exportFastGptExtUserTag(query) {
  return request({
    url: '/fastGpt/FastGptExtUserTag/export',
    method: 'get',
    params: query
  })
}


export function addFastGptTagByCorpId(data) {
  return request({
    url: '/fastGpt/FastGptExtUserTag/addFastGptTagByCorpId',
    method: 'post',
    data: data
  })
}

export function getMyQwUserList(query) {
  return request({
    url: '/fastGpt/FastGptExtUserTag/getMyQwUserList',
    method: 'get',
    params: query
  })
}
